Skip to Content
Short Links & Analytics

Create tracked vanity short link

View Markdown (.md)
POST
/api/v1/public/shortlinks

Generates a compressed vanity URL with optional custom slug and expiration. Automatically enables dynamic click-through rate (CTR) tracking.

Authorization

headerX-Api-Key<token>

SMS Pro API Key (sk_live_... or sk_test_...)

Request Body

application/json
  1. body
originalUrl*string
Formaturi
customCode?string
title?string
expiresAt?string
Formatdate-time

Response Body

Short link created

application/json
  1. response
status?string
data?
Example Request
curl -X POST 'https://api.smspro.com/api/v1/public/shortlinks' \  -H 'Content-Type: application/json' \  -d '{  "originalUrl": "http://example.com"}'
Example Response
{  "status": "string",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortUrl": "string",    "shortCode": "string",    "originalUrl": "string",    "active": null  }}